## org.eclipse.jet
Class WriterPositionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.jet.WriterPositionException

All Implemented Interfaces:
  java.io.Serializable

    public class WriterPositionException

extends java.lang.RuntimeException

Runtime exception to wrap the rather inconvenient checked exception thrown by the org.eclipse.jface.text classes and methods.

See Also:
  Serialized Form

Constructor Summary
`WriterPositionException(java.lang.Throwable e)` Create a WriterPostionException that wraps another exception

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WriterPositionException

    public WriterPositionException(java.lang.Throwable e)

  Create a WriterPostionException that wraps another exception

  Parameters:
    `e` -

Copyright 2006 IBM Corporation and others. All Rights Reserved.